extractr docs
Finance

Get OHLCV history

GET
/finance/history

Historical OHLCV candles for a ticker at daily, weekly or monthly resolution.

Costs 3 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

symbol*string
Length1 <= length <= 12
interval?string
Default"1d"

Value in

  • "1d"
  • "1wk"
  • "1mo"
range?string
Default"1mo"

Value in

  • "1mo"
  • "3mo"
  • "6mo"
  • "1y"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/finance/history?symbol=AAPL"
{  "symbol": "string",  "interval": "string",  "range": "string",  "currency": "string",  "candles": [    {      "date": "2026-06-02",      "open": 0,      "high": 0,      "low": 0,      "close": 0,      "volume": 0    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}